XMLPullReaderFactory (JiBX Java data binding to XML - Version 1.2.3)
Keywords: org.jibx.runtime.impl.XMLPullReaderFactory class

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jibx.runtime.impl
Class XMLPullReaderFactory

    java.lang.Object
      org.jibx.runtime.impl.XMLPullReaderFactory

All Implemented Interfaces:
  IXMLReaderFactory

    public class XMLPullReaderFactory

extends java.lang.Object
implements IXMLReaderFactory

Factory for creating XMLPull parser instances.

Author:
  Dennis M. Sosnoski

Method Summary
`IXMLReader` | `createReader(java.io.InputStream is, java.lang.String name, java.lang.String enc, boolean nsf)` Get new XML reader instance for document from input stream.
`IXMLReader` | `createReader(java.io.Reader rdr, java.lang.String name, boolean nsf)` Get new XML reader instance for document from reader.
`static XMLPullReaderFactory` | `getInstance()` Get instance of factory.
`IXMLReader` | `recycleReader(IXMLReader old, java.io.InputStream is, java.lang.String name, java.lang.String enc)` Recycle XML reader instance for new document from input stream.
`IXMLReader` | `recycleReader(IXMLReader old, java.io.Reader rdr, java.lang.String name)` Recycle XML reader instance for document from reader.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static XMLPullReaderFactory getInstance()

  Get instance of factory.

  Returns:
    factory instance

### createReader

    public IXMLReader createReader(java.io.InputStream is,
                                   java.lang.String name,
                                   java.lang.String enc,
                                   boolean nsf)
                            throws JiBXException

  Description copied from interface: `IXMLReaderFactory`
  Get new XML reader instance for document from input stream.

  Specified by:
    `createReader` in interface `IXMLReaderFactory`
  Parameters:
    `is` - document input stream
    `name` - document name (`null` if unknown)
    `enc` - document character encoding (`null` if unknown)
    `nsf` - namespaces enabled flag
  Returns:
    new reader instance for document
  Throws:
    `JiBXException` - on parser configuration error

### createReader

    public IXMLReader createReader(java.io.Reader rdr,
                                   java.lang.String name,
                                   boolean nsf)
                            throws JiBXException

  Description copied from interface: `IXMLReaderFactory`
  Get new XML reader instance for document from reader.

  Specified by:
    `createReader` in interface `IXMLReaderFactory`
  Parameters:
    `rdr` - document reader
    `name` - document name (`null` if unknown)
    `nsf` - namespaces enabled flag
  Returns:
    new reader instance for document
  Throws:
    `JiBXException` - on parser configuration error

### recycleReader

    public IXMLReader recycleReader(IXMLReader old,
                                    java.io.InputStream is,
                                    java.lang.String name,
                                    java.lang.String enc)
                             throws JiBXException

  Description copied from interface: `IXMLReaderFactory`
  Recycle XML reader instance for new document from input stream. If the supplied reader can be reused it will be configured for the new document and returned; otherwise, a new reader will be created for the document. The namespace enabled state of the returned reader is always the same as that of the supplied reader.

  Specified by:
    `recycleReader` in interface `IXMLReaderFactory`
  Parameters:
    `old` - reader instance to be recycled
    `is` - document input stream
    `name` - document name (`null` if unknown)
    `enc` - document character encoding (`null` if unknown)
  Returns:
    new reader instance for document
  Throws:
    `JiBXException` - on parser configuration error

### recycleReader

    public IXMLReader recycleReader(IXMLReader old,
                                    java.io.Reader rdr,
                                    java.lang.String name)
                             throws JiBXException

  Description copied from interface: `IXMLReaderFactory`
  Recycle XML reader instance for document from reader. If the supplied reader can be reused it will be configured for the new document and returned; otherwise, a new reader will be created for the document. The namespace enabled state of the returned reader is always the same as that of the supplied reader.

  Specified by:
    `recycleReader` in interface `IXMLReaderFactory`
  Parameters:
    `old` - reader instance to be recycled
    `rdr` - document reader
    `name` - document name (`null` if unknown)
  Returns:
    new reader instance for document
  Throws:
    `JiBXException` - on parser configuration error

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project Web Site |